Bug 225227 - x11-wm/dwm: [feature, patch] Add a config knob to use Super instead of Alt for the mod key (+ minor Makefile fixes)
Summary: x11-wm/dwm: [feature, patch] Add a config knob to use Super instead of Alt fo...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Niclas Zeising
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-16 17:05 UTC by Mateusz Piotrowski
Modified: 2018-01-30 17:30 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (schot)


Attachments
Add a config knob to use Super instead of Alt for the mod key, strip the binary and clean up the Makefile (1.80 KB, patch)
2018-01-16 17:05 UTC, Mateusz Piotrowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2018-01-16 17:05:44 UTC
Created attachment 189807 [details]
Add a config knob to use Super instead of Alt for the mod key, strip the binary and clean up the Makefile

Add an option to configure Super as the mod key

It allows the user to patch the dwm config to use the Super key instead of the
Alt key as the dwm mod key. It is a frequent patch that people apply to dwm as
the default Alt clashes with many popular desktop applications.

Also while here:

 * Add a command to strip the dwm executable as suggested by the the FreeBSD
   Porter's Handbook in chapter 5.16.2. and a make warning message.
 * Move PATCH_SITES to its own section in Makefile as suggested by portlint.

---

Patch testing:

 * `portlint -AC` does not produce any negative messages.
 * The execution of the procedure 3.1. from the Porter's Handbook does not show
   any warnings.
Comment 1 Niclas Zeising freebsd_committer 2018-01-29 18:36:13 UTC
Grab
Comment 2 commit-hook freebsd_committer 2018-01-30 17:29:13 UTC
A commit references this bug:

Author: zeising
Date: Tue Jan 30 17:28:34 UTC 2018
New revision: 460417
URL: https://svnweb.freebsd.org/changeset/ports/460417

Log:
  Add a configuration knob to allow the usage of the super key instead of alt
  as modifier.

  Strip binary, fix whitespace.

  PR:		225227
  Submitted by:	Mateusz Piotrowski
  Approved by:	maintainer timeout (2 weeks)

Changes:
  head/x11-wm/dwm/Makefile
  head/x11-wm/dwm/files/extra-patch-config.def.h
Comment 3 Niclas Zeising freebsd_committer 2018-01-30 17:30:21 UTC
Committed, thanks for your submission!